#ifndef SOY_H_
#define SOY_H_

#include <string>
#include "Beverage.h"
#include "CondimentDecorator.h"

using namespace std;

class Soy : public CondimentDecorator
{
public:
    Soy(Beverage *bev) : CondimentDecorator(bev) {}

    string description() const
    {
        return get_wrapped_beverage()->description() + ", Soy";
    }

    double cost() const
    {
        return get_wrapped_beverage()->cost() + 0.15;
    }
};

#endif /* SOY_H_ */
