#ifndef WHIP_H_
#define WHIP_H_

#include <string>
#include "Beverage.h"
#include "CondimentDecorator.h"

using namespace std;

class Whip : public CondimentDecorator
{
public:
    Whip(Beverage *bev) : CondimentDecorator(bev) {}

    string description() const
    {
        return get_wrapped_beverage()->description() + ", Whip";
    }

    double cost() const
    {
        return get_wrapped_beverage()->cost() + 0.10;
    }
};

#endif /* WHIP_H_ */
