#ifndef CONDIMENTDECORATOR_H_
#define CONDIMENTDECORATOR_H_

#include "Beverage.h"

class CondimentDecorator : public Beverage
{
public:
    CondimentDecorator(Beverage *bev) : wrapped_beverage(bev) {}
    virtual ~CondimentDecorator() {}

    Beverage *get_wrapped_beverage() const { return wrapped_beverage; }

private:
    Beverage *wrapped_beverage;
};

#endif /* CONDIMENTDECORATOR_H_ */
