#ifndef MILK_H_
#define MILK_H_

#include <string>
#include "Beverage.h"
#include "CondimentDecorator.h"

using namespace std;

class Milk : public CondimentDecorator
{
public:
    Milk(Beverage *bev) : CondimentDecorator(bev) {}

    string description() const
    {
        return get_wrapped_beverage()->description() + ", Milk";
    }

    double cost() const
    {
        return get_wrapped_beverage()->cost() + 0.10;
    }
};

#endif /* MILK_H_ */
