#ifndef MOCHA_H_
#define MOCHA_H_

#include <string>
#include "Beverage.h"
#include "CondimentDecorator.h"

using namespace std;

class Mocha : public CondimentDecorator
{
public:
    Mocha(Beverage *bev) : CondimentDecorator(bev) {}

    string description() const
    {
        return get_wrapped_beverage()->description() + ", Mocha";
    }

    double cost() const
    {
        return get_wrapped_beverage()->cost() + 0.20;
    }
};

#endif /* MOCHA_H_ */
